> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke a device

> Revoke a device



## OpenAPI

````yaml /api-reference/openapi.json post /api/devices/{deviceId}/revoke
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/devices/{deviceId}/revoke:
    post:
      tags:
        - Devices
      summary: Revoke a device
      description: Revoke a device
      operationId: postApiDevicesByDeviceIdRevoke
      parameters:
        - schema:
            type: string
          in: path
          name: deviceId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                reason:
                  type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  employeeId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  kind:
                    type: string
                    enum:
                      - Mobile
                  label:
                    type: string
                  model:
                    anyOf:
                      - type: string
                      - type: 'null'
                  identifier:
                    anyOf:
                      - type: string
                      - type: 'null'
                  osVersion:
                    anyOf:
                      - type: string
                      - type: 'null'
                  appVersion:
                    anyOf:
                      - type: string
                      - type: 'null'
                  locationId:
                    anyOf:
                      - type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      - type: 'null'
                  enrolledAt:
                    type: string
                  lastSeenAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - Active
                      - Revoked
                required:
                  - id
                  - employeeId
                  - kind
                  - label
                  - model
                  - identifier
                  - osVersion
                  - appVersion
                  - locationId
                  - enrolledAt
                  - lastSeenAt
                  - status
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````